import { EventEmitter } from '@angular/core';
import moment from 'moment';
import { TimeRange } from './time-range';
import { Booked } from './booked';
import { Hours } from './hours';
export declare class BookPickerComponent {
    name: string;
    selectedDate: moment.Moment;
    timeRange: TimeRange;
    bookeds: Booked[];
    hours: Hours[];
    selected: EventEmitter<any>;
    onerror: EventEmitter<any>;
    onSelectedDate(value: moment.Moment): void;
    onSelectedTime(value: TimeRange): void;
    onErrorTime(): void;
}
