import { OnInit, EventEmitter } from '@angular/core';
import moment from 'moment';
export declare class DatePickerComponent implements OnInit {
    days: moment.Moment[];
    selectedDate: moment.Moment;
    endDayForMonth: moment.Moment;
    selected: EventEmitter<moment.Moment>;
    constructor();
    ngOnInit(): void;
    onSelected(value: moment.Moment): void;
    isSameDay(value: moment.Moment): "" | "date-selected";
    getDaysForMonth(): void;
}
